﻿@using dbChange.Models.LIB;

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
    var lsDonVi = ViewData["DonVi"] as List<DM_BoPhanChiTiet>;
}
<div class="" style="background-color:white;padding-left:15px;padding-right:15px;">
    <div class="row p-2">
        <h4 style="color:red;text-align:center;width: 100%; text-transform: uppercase; font-weight: bold;">
            Danh sách nhân viên
        </h4>
    </div>
    <form id="box_form_employee" class="form_employee_validation" novalidate>
        <div class="row">
            <div class="col-md-4">
                <label for="Id">Đơn vị </label>
                <select class="form-control form-control-sm" name="DonVi" id="DonVi">
                    <option value="-1">Chọn đơn vị</option>
                    @{
                        foreach (var item in lsDonVi)
                        {
                        <option value="@item.Id">@item.TenDonVi</option>
                        }
                    }
                </select>

                <p style="padding-top:15px">
                    <button type="button" class="btn btn-primary position-relative mr-3">
                        Tổng nhân viên
                        <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger">
                            <span id="TongNV"></span>
                        </span>
                    </button>
                    <button type="button" class="btn btn-success position-relative mr-3">
                        Mũi 1
                        <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger">
                            <span id="Mui1"></span>
                        </span>
                    </button>
                    <button type="button" class="btn btn-success position-relative mr-3">
                        Mũi 2
                        <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger">
                            <span id="Mui2"></span>
                        </span>
                    </button>
                    <button type="button" class="btn btn-success position-relative mr-3">
                        Mũi 3
                        <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger">
                            <span id="Mui3"></span>
                        </span>
                    </button>
                    <button type="button" class="btn btn-warning position-relative mr-3">
                        Không có thông tin
                        <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger">
                            <span id="KhongThongTin"></span>
                        </span>
                    </button>
                    @*<a class="btn btn-success" style="color:white;border: none;">Tổng nhân viên: <span id="TongNV"></span></a>
            <a class="btn btn-success" style="color:white;background-color:#8877cc;border: none;">Mũi 1: <span id="Mui1"></span></a>
            <a class="btn btn-success" style="color:white;background-color:#8877cc;border: none;">Mũi 2: <span id="Mui2"></span></a>
            <a class="btn btn-success" style="color:white;background-color:#8877cc;border: none;">Mũi 3: <span id="Mui3"></span></a>*@
                </p>
                <!--
    <p>

        <button type="button" class="btn btn-secondary position-relative mr-3">
            Đã dk mũi 3
            <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger">
                <span id="DKMui3"></span>
            </span>
        </button>
        <button type="button" class="btn btn-secondary position-relative mr-3">
            Chưa dk mũi 3
            <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger">
                <span id="ChuaDKMui3"></span>
            </span>
        </button>
        <button type="button" class="btn btn-secondary position-relative mr-3">
            Không dk mũi 3
            <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger">
                <span id="KhongDKMui3">0</span>
            </span>
        </button>
        @*<a class="btn btn-success" style="color:white;background-color:green;border: none;">Đã đăng ký mũi 3: <span id="DKMui3"></span></a>
        <a class="btn btn-success" style="color:white;background-color:#ccc;border: none;">Chưa đăng ký mũi 3: <span id="ChuaDKMui3"></span></a>
        <a class="btn btn-success" style="color:white;background-color:#ccc;border: none;">Không tiêm mũi 3: <span id="KhongDKMui3"></span></a>*@
    </p>-->
                @*<table class="table" style="margin-top:5px;">
            <thead>
                <tr>
                    <th scope="col" style="font-size: 12px;padding: 0px;">Tổng nhân viên</th>
                    <th scope="col" style="font-size: 12px;padding: 0px;">Mũi 1</th>
                    <th scope="col" style="font-size: 12px;padding: 0px;">Mũi 2</th>
                    <th scope="col" style="font-size: 12px;padding: 0px;">Mũi 3</th>
                    <th scope="col" style="font-size: 12px;padding: 0px;">Đã đăng ký mũi 3</th>
                    <th scope="col" style="font-size: 12px;padding: 0px;">Chưa đăng ký mũi 3</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <th scope="row"><span id="TongNV"></span></th>
                    <td><span id="Mui1"></span></td>
                    <td><span id="Mui2"></span></td>
                    <td><span id="Mui3"></span></td>
                    <td><span id="DKMui3"></span></td>
                    <td><span id="ChuaDKMui3"></span></td>
                </tr>
            </tbody>
        </table>*@
            </div>
            <div class="col-md-2">
                <button class="btn btn-primary btnLoadDanhSachNhanVien" type="button" style="  margin-left:10px;  float: left;margin-top: 30px;"><i class="fa fa-save"></i>Xem</button>
            </div>
            <div class="col-md-6">
                <!--
            <div class="row" style="width:100%;display:inline-block">
                <button class="btn btn-success btnDangKyMui3" type="button" style="        margin-left: 10px;
    float: right;
    margin-top: 30px;"><i class="fa fa-save"></i>Đăng ký tiêm mũi 3</button>
                <button class="btn btn-danger btnHuyDangKyMui3" type="button" style=" margin-left: 10px; float: right; margin-top: 30px;"><i class="fa fa-save"></i>Hủy đăng ký tiêm mũi 3</button>
                <button class="btn btn-warning btnImport" type="button" style="        margin-left: 10px;
    float: right;
    margin-top: 30px;"><i class="fa fa-save"></i>Import đăng ký mũi 3</button>
                <a class="btn btn-warning btn-sm" style="        color: black;
    margin-left: 10px;
    float: right;
    margin-top: 30px;
    padding: 5px 10px;
    border-radius: 10px;" href="@Url.Content("~/uploads/form_import_dang_ky_tiem_vacxin.xlsx")">Tải form mẫu</a>

            </div>
            -->
                <div class="row" style="        width: 100%;
        display: inline-block
">
                    <button class="btn btn-primary btnUpdateMui1" type="button" style="  margin-left:10px;  float: right;margin-top: 30px;"><i class="fa fa-save"></i>Cập nhật mũi 1</button>
                    <button class="btn btn-primary btnUpdateMui2" type="button" style="  margin-left:10px;  float: right;margin-top: 30px;"><i class="fa fa-save"></i>Cập nhật mũi 2</button>
                    <button class="btn btn-primary btnUpdateMui3" type="button" style="  margin-left:10px;  float: right;margin-top: 30px;"><i class="fa fa-save"></i>Cập nhật mũi 3</button>
                    <button class="btn btn-primary btnUpdateF0" type="button" style="  margin-left:10px;  float: right;margin-top: 30px;"><i class="fa fa-save"></i>Cập nhật F0</button>
                    <button class="btn btn-primary btnUpdateDaNghi" type="button" style="  margin-left:10px;  float: right;margin-top: 30px;"><i class="fa fa-save"></i>cập nhật đã nghỉ</button>
                </div>

            </div>
        </div>
    </form>
    <div class="row pb-5">
        <div class="col-12">
            <div id="gridContainer" style="width: 100%;"></div>
        </div>
    </div>
</div>
<form enctype="multipart/form-data" style="display:none">
    <input id="upload" type=file name="files[]">
</form>
<!-- Button trigger modal -->
<button style="display:none" type="button" class="btn btn-primary btnModal" data-toggle="modal" data-target="#exampleModal">
</button>

<!-- Modal -->
<div class="modal fade" id="exampleModal" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <form id="myform">
            <input type="hidden" class="LoaiMuiTiem" />
            <input type="hidden" class="IdStaff" />
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Thông tin mũi 1</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-check">
                        <input class="form-check-input flexRadioDefault" value="1" type="radio" name="flexRadioDefault" id="flexRadioDefault1">
                        <label class="form-check-label" for="flexRadioDefault1">
                            Thông tin tiêm
                        </label>
                    </div>
                    <div class="form-check">
                        <input class="form-check-input flexRadioDefault" value="2" type="radio" name="flexRadioDefault" id="flexRadioDefault2">
                        <label class="form-check-label" for="flexRadioDefault2">
                            Không tiêm
                        </label>
                    </div>
                    <div class="form-check">
                        <input class="form-check-input flexRadioDefault" value="3" type="radio" name="flexRadioDefault" id="flexRadioDefault3">
                        <label class="form-check-label" for="flexRadioDefault3">
                            Xóa dữ liệu tiêm
                        </label>
                    </div>
                    <div class='mb-3 ThongTinTiem'>
                        <label class='form-label'>Tên vắc xin</label><select class='form-control' id='Mui1_TenVacxin1'></select>
                        <label class='form-label'>Số lô</label><input type='text' value='' class='form-control' id='Mui1_SoLo1'>
                        <label class='form-label'>Ngày tiêm</label><input type='date' value='' class='form-control' id='Mui1_NgayTiem1'>
                        <label class='form-label'>Địa điểm tiêm <span style='color:red'>(Chỉ đánh vào địa điểm nếu tìm không thấy địa điểm bên dưới)</span></label>
                        <input style='margin-top:10px;color:red;' id='Mui1_DiaDiem1_Old' class='form-control' value='' />
                        <select style='margin-top:10px' class='form-control' id='TinhThanhPho'></select>
                        <select style='margin-top:10px' class='form-control' id='QuanHuyen'></select>
                        <select style='margin-top:10px' class='form-control' id='Mui1_DiaDiem1'></select>
                        
                    </div>
                    <div class='mb-3 ThongTinTiem2'>
                        <label class='form-label'>Lý do</label><input type='text' value='' class='form-control' id='Mui1_LyDo'>
                    </div>

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
                        <button type="button" class="btn btn-primary btnLuuThongTinMui">Lưu</button>
                    </div>
                </div>
        </form>
    </div>
</div>
<!-- Button trigger modal -->
<button style="display:none" type="button" class="btn btn-primary btnModalF0" data-toggle="modal" data-target="#exampleModalF0">
</button>

<!-- Modal -->
<div class="modal fade" id="exampleModalF0" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <form>
            <input type="hidden" class="LoaiMuiTiem" />
            <input type="hidden" class="IdStaff" />
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title1" id="exampleModalLabel">Thông tin F0</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body1" style="padding:15px;">
                    <div class='mb-3'>
                        <label class='form-label'>Ngày mắc</label><input type='date' class='form-control' id="NgayBiNhiem" />
                        <label class='form-label'>Ngày khỏi</label><input type='date' class='form-control' id="NgayXuatVien" />
                    </div>
                </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Đóng</button>
                        <button type="button" class="btn btn-primary btnLuuThongTinF0">Lưu</button>
                    </div>
                </div>
        </form>
    </div>
</div>
